package com.scbfkj.uni.process;

import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class KafkaTest {

    @Test
    void sendMessage() throws Exception {
        Map<String, Object> map = Kafka.sendMessage("{\"bootstrap.servers\": \"127.0.0.1:9092\"}", "test", new ArrayList<>() {{
            add("HELLO WORLD");
        }});
    }

    @Test
    void receptionMessage() throws Exception {
        Map<String, Object> map = Kafka.receptionMessage("{\"bootstrap.servers\": \"127.0.0.1:9092\"}", "test", "1");
    }
}