package com.scbfkj.uni.service;

import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

import static org.junit.jupiter.api.Assertions.*;

class DataProcessServiceTest {

    @Test
    void processByAlgorithm() throws Exception {
        String data = "hello world";
        String prikey = "12087a12bee95f5d4ffad39bc664d36d3e5befcec9e38e32214347cf263c7479";
        String pubkey="04343d06aa7d9fbf3897906755c0172a43faeec77b346a26636ea67bd9a7e319774024ddac2c0ac697ec4b9333db3f823e29ad11cdce4ff377d2d4b3dd64c47310";
        HashMap<String, Object> config = new HashMap<>() {{
            put("path", "sm2-1.0-SNAPSHOT-jar-with-dependencies.jar");
            put("className", "com.bfkj.SM2");
        }};
        Map<String, Object> map = DataProcessService.processByAlgorithm("1", new ArrayList<>() {{
            add(config);
            add("encrypt");
            add(data);
            add(pubkey);
        }});
        System.out.println(map);
       String data2 = map.get("returnData").toString();
        map = DataProcessService.processByAlgorithm("1", new ArrayList<>() {{
            add(config);
            add("decrypt");
            add(data2);
            add(prikey);
        }});
        System.out.println(map);
        System.out.println(Objects.equals(data,map.get("returnData")));
    }
}