package com.scbfkj.uni.library.script;

import com.scbfkj.uni.process.Kafka;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class JavaScriptEngineUtilTest {

    @Test
    void invoke() throws Exception {
        Map<String, Object> invoke = JavaScriptEngineUtil.invoke(new HashMap<>() {{
            put("className", "com.scbfkj.uni.process.Kafka");
            put("path", null);
        }}, "sendMessage", "{\"bootstrap.servers\": \"127.0.0.1:9092\"}", "test", new ArrayList<String>() {{
            add("HELLO WORLD");
        }});
        System.out.println(invoke);
    }
}